# 管理 予約共有

## 予約設定(ReservationTables)

### 新規追加

<kbd>＋新規追加</kbd>押下で予約設定登録ウィンドウが開く。
要素      |要否    |備考
----------|--------|------------
名前      |必須    |
単位      |必須    |表示方法の選択。後述。
単位custom|非推奨  |表示方法(custom)選択時のhtml名。
備考      |設定推奨|予約理由入力エリアに薄く表示。`案件名、作業名、目的など`のように設定する。
アイテム  |設定推奨|予約対象の総称。例えば車の予約を行う場合は`車両`のように設定する。
一括予約  |選択    |複数アイテムを一度に予約操作する場合に設定する。


<kbd>＋追加</kbd>で予約設定のリストに追加される。

### 単位

想定する予約期間で選択する。予約状態表示方法に影響する。
単位       | 想定
-----------|---------------
 日時      |時間単位の予約、数時間～数日を想定。
 日(数日間)|日単位の予約。数日間～数週間を想定。
 日(数週間)|日単位の予約。数週間～数ヶ月を想定。
 (custom)  |htmlやJavaScript等を自作する場合に使用。非推奨。


### 編集 (修正、削除)

予約設定のリストをクリックすると予約設定編集ウィンドウが開く。  
各項目と表示/非表示の修正、予約設定の削除が行える。

既にアイテムを設定した予約設定は削除できない。  
既にアイテムを設定した予約設定は削除の代わりに非表示を使用する。

### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。

<div style="break-before:page" />

## アイテム設定

予約設定(ReservationTables)の予約設定リストで、
`(編集)アイテム`リンクをクリックすると遷移する。

### 新規追加

<kbd>＋新規追加</kbd>押下でアイテム登録ウィンドウが開く。
要素 |要否 |備考
-----|-----|---------
名前 |必須 |簡潔に(予約状態リスト左列は10文字程表示)
備考 |任意 |正確に(ポップアップ表示)

<kbd>＋追加</kbd>でアイテムのリストに追加される。

### 編集 (修正、削除)

アイテムのリストをクリックするとアイテム編集ウィンドウが開く。  
各項目と表示/非表示の修正、アイテムの削除が行える。

既に予約を設定したアイテムは削除できない。  
既に予約を設定したアイテムは削除の代わりに非表示を使用する。

### 並び替え

リスト右端の■で行選択できる。
リスト右上のボタンで項目上下移動する。
選択状態で先頭行を再度選択すると、選択解除する。
複数行選択は先頭行と末尾行を選択する。
一度に255行まで操作可能。


<div style="break-before:page" />


## 休日設定(Calendar)

現状、日曜を決め打ちで法定休日としている。  
また、土曜を初期の所定休日としている。  
平日(所定勤務)と所定休日は日付をクリックする事で反転する。
日曜(法定休日)もクリックで平日(所定勤務)に反転する。

<kbd>変更反映</kbd>押下でデータベースに反映する。


